## wmifinfo 0.06

=== Makefile ===

# Set this to 'y' if you want support for reading the link quality
# of nowiresneeded 1148 PCMCIA or Swallow cards

ENABLE_NWN_SUPPORT=n


##################################################################
# Nothing to configure under here

NAME=wmifinfo
VERSION=0.06

CC = gcc
LD = gcc
COPTS = -Wall -O2 -D'VERSION="$(VERSION)"' -D'NAME="$(NAME)"'
LDOPTS = -lX11 -L/usr/X11R6/lib -lXpm -lXext
BINDIR = /usr/local/bin

BIN =	wmifinfo
FILES = wmifinfo.o xutils.o 

ifeq ("$(ENABLE_NWN_SUPPORT)", "y")
FILES += nwn.o
COPTS += -DENABLE_NWN_SUPPORT
endif

all:	$(BIN)

.c.o: 	
	$(CC) $(COPTS) -c $< 

$(BIN):	$(FILES)
	$(LD) -o $@ $(FILES) $(LDOPTS)

clean:
	rm -f *.o $(BIN) core

install:
	cp $(BIN) $(BINDIR)

dist:	clean
	cd .. && tar -zcvf dist/wmifinfo-$(VERSION).tgz wmifinfo-$(VERSION)/

## wmifinfo 0.08

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Nothing to configure under here
 
 NAME=wmifinfo
-VERSION=0.06
+VERSION=0.08
 
 CC = gcc
 LD = gcc
@@ -34,10 +34,13 @@
 	$(LD) -o $@ $(FILES) $(LDOPTS)
 
 clean:
-	rm -f *.o $(BIN) core
+	rm -f *.o $(BIN) core ./.#* *.orig *.rej
 
 install:
 	cp $(BIN) $(BINDIR)
 
 dist:	clean
-	cd .. && tar -zcvf dist/wmifinfo-$(VERSION).tgz wmifinfo-$(VERSION)/
+	rm -rf /tmp/wmifinfo-$(VERSION)
+	cd .. && cp -a wmifinfo /tmp/wmifinfo-$(VERSION)
+	cd /tmp && tar --exclude CVS -zcvf wmifinfo-$(VERSION).tgz wmifinfo-$(VERSION)/
+

## wmifinfo 0.09

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Nothing to configure under here
 
 NAME=wmifinfo
-VERSION=0.08
+VERSION=0.09
 
 CC = gcc
 LD = gcc

=== debian/changelog ===
wmifinfo (0.09-7) unstable; urgency=low

  * New maintainer (Closes: #621911).
    - Update Maintainer in debian/control.
  * debian/control
    - Remove quilt from Build-Depends.
    - Add Vcs-*.
  * debian/copyright
    - Convert to machine-readable format v1.0.
  * debian/docs
    - New file.
  * debian/manpages
    - New file.
  * debian/rules
    - Simplify to use dh(1).
    - Pass CPPFLAGS to CC via CFLAGS.
  * debian/source/format
    - New file; set to quilt (3.0).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 28 Jul 2014 21:23:16 -0500

wmifinfo (0.09-6) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Maintainer field set to QA Group.
    - Bump Standards-Version to 3.9.5.
  * debian/rules:
    - Add missing targets: build-{arch,indep}.
    - Replace dh_clean -k with dh_prep.
    - Export dpkg buildflags.
  * Use LDFLAGS in Makefile.
  * Debhelper compatibility level set to 9.

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jan 2014 19:28:17 +0100

wmifinfo (0.09-5) unstable; urgency=low

  * Add quilt include to debian/rules
    - Add patches/wmifinfo-timeval_fix.patch to fix improper
      use of timeval struct in wmifinfo.c (Closes: #503416).
    - Add patches/makefile_patch.patch to use $DESTDIR and
      $INSTALL in Makefile instead of using fixed paths.
  * Remove unneeded x-dev from the Build-Depends.
  * Remove unneeded CFLAGS from the debian/rules.
  * Set Standards-Version to 3.8.0.
    - Add README.source.

 -- Enrique Monge <emonge@debian.org.sv>  Tue, 28 Oct 2008 09:38:42 -0600

wmifinfo (0.09-4) unstable; urgency=low

  * Bump to Standards-Version 3.7.3, no changes needed.
  * Update debian/compat.
  * Change Depends from debhelper 5 to debhelper >=6.
  * Minor changes to debian/rules.
  * Fix debian/watch (Closes: #453568).
  * Add Homepage field to debian/control.
  * Add new debian/copyright format.
  * Use new menu format.

 -- Enrique Monge <emonge@debian.org.sv>  Tue, 22 Jan 2008 11:19:25 -0600

wmifinfo (0.09-3) unstable; urgency=low

  * New maintainer (Closes: #427135).
  * Bump to Standards-Version 3.7.2.
  * Add debian/compat.
  * Changed Depend from debhelper 4 to debhelper >=5.
  * Minor changes to debian/rules.
  * Add debian/watch.
  * Modify changelog comply with utf-8.

 -- Enrique Monge <emonge@debian.org.sv>  Sat, 14 Jul 2007 18:32:59 -0600

wmifinfo (0.09-2) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Gordon Fraser <gordon@debian.org>  Sat, 02 Jun 2007 06:17:21 +0200

wmifinfo (0.09-1) unstable; urgency=low

  * New upstream version (Closes: #316266).
  * Fix build dependencies (Closes: #346904).

 -- Gordon Fraser <gordon@debian.org>  Sun, 15 Jan 2006 14:04:49 +0100

wmifinfo (0.08-1) unstable; urgency=low

  * New upstream version (Closes: #253174).

 -- Gordon Fraser <gordon@debian.org>  Thu, 29 Jul 2004 08:50:31 +0200

wmifinfo (0.06-2) unstable; urgency=low

  * New maintainer (Closes: #210793).
  * Bump Standards-Version to 3.6.1.0.
  * Update DEB_BUILD_OPTIONS handling.
  * Minor update to description.
  * Remove dh_make boilerplate from debian/copyright.
  * Add menu entry.

 -- Gordon Fraser <gordon@debian.org>  Sun, 21 Sep 2003 12:57:38 +0200

wmifinfo (0.06-1) unstable; urgency=low

  * New upstream release.

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 19 Jun 2002 12:27:30 +0200

wmifinfo (0.05-2) unstable; urgency=low

  * debian/control
    - Fix capitalization in description (Closes: #150377).

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 19 Jun 2002 00:16:09 +0200

wmifinfo (0.05-1) unstable; urgency=low

  * Initial Release (Closes: #148406).
  * Changed Makefile to install in $(DESTDIR).

 -- Søren Boll Overgaard <boll@debian.org>  Fri,  7 Jun 2002 16:23:13 +0200

=== debian/control ===
Source: wmifinfo
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.5
Homepage: http://zevv.nl/play/code/wmifinfo/
Vcs-Browser: https://github.com/d-torrance/wmifinfo
Vcs-Git: https://github.com/d-torrance/wmifinfo.git

Package: wmifinfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dockapp that shows information for all interfaces
 wmifinfo is a simple applet showing basic network info for all available
 interfaces. It shows IP address, netmask, gateway and MAC address in a
 similar way to ifconfig.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS+="$(CPPFLAGS)"

=== debian/watch ===
version=3
http://www.zevv.nl/play/code/wmifinfo/wmifinfo-(.*)\.tgz

## wmifinfo 0.10

=== Makefile ===

# Set this to 'y' if you want support for reading the link quality
# of nowiresneeded 1148 PCMCIA or Swallow cards

ENABLE_NWN_SUPPORT=n


##################################################################
# Nothing to configure under here

NAME=wmifinfo
VERSION=0.10

CC = gcc
LD = gcc
INSTALL = install
CFLAGS = -Wall -O2
COPTS = -D'VERSION="$(VERSION)"' -D'NAME="$(NAME)"'
LDOPTS = -lX11 -lXpm -lXext
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man

BIN =	wmifinfo
FILES = wmifinfo.o xutils.o

ifeq ("$(ENABLE_NWN_SUPPORT)", "y")
FILES += nwn.o
COPTS += -DENABLE_NWN_SUPPORT
endif

all:	$(BIN)

.c.o:
	$(CC) $(COPTS) $(CPPFLAGS) $(CFLAGS) -c $<

$(BIN):	$(FILES)
	$(LD) $(LDFLAGS) -o $@ $(FILES) $(LDOPTS)

clean:
	rm -f *.o $(BIN) core ./.#* *.orig *.rej

install:
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) $(BIN) $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -m 644 wmifinfo.1 $(DESTDIR)$(MANDIR)/man1

dist:	clean
	rm -rf /tmp/wmifinfo-$(VERSION)
	cd .. && cp -a wmifinfo /tmp/wmifinfo-$(VERSION)
	cd /tmp && tar --exclude CVS -zcvf wmifinfo-$(VERSION).tgz wmifinfo-$(VERSION)/

=== debian/changelog ===
wmifinfo (0.10-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:50:51 +0000

wmifinfo (0.10-2) unstable; urgency=medium

  * debian/control
    - Tidy up using wrap-and-sort.
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 17 Aug 2015 22:15:15 -0400

wmifinfo (0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6, no changes required.
    - Update Homepage.
  * debian/copyright
    - Update Upstream-Contact and Source.
  * debian/(dirs|manpages|README.source)
    - Remove unnecessary files.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Add get-orig-source target.
    - Add override_dh_auto_install target to set PREFIX.
    - Update override_dh_auto_build target.  In particular, we no
      longer need to pass CPPFLAGS via CFLAGS, as new upstream Makefile
      now respects CPPFLAGS. Also, we set ENABLE_NWN_SUPPORT here instead
      of patching the Makefile, as had been previously done, and use
      CFLAGS from dpkg-buildflags.
  * debian/watch
    - Update with new location.
  * debian/wmifinfo.1
    - Remove file; included upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 10 Dec 2014 03:04:12 -0600

=== debian/control ===
Source: wmifinfo
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmifinfo
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmifinfo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmifinfo.git

Package: wmifinfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dockapp that shows information for all interfaces
 wmifinfo is a simple applet showing basic network info for all available
 interfaces. It shows IP address, netmask, gateway and MAC address in a
 similar way to ifconfig.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ENABLE_NWN_SUPPORT=y \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmifinfo-*.download ; then \
		rename -f -v "s/wmifinfo-(.+)\.download/wmifinfo_\1\.orig\.tar\.gz/" \
			../wmifinfo-*.download; \
	fi

## wmifinfo 0.11

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Nothing to configure under here
 
 NAME=wmifinfo
-VERSION=0.10
+VERSION=0.11
 
 CC = gcc
 LD = gcc

=== debian/changelog ===
wmifinfo (0.11-2) unstable; urgency=medium

  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Reformat using wrap-and-sort.
    - Bump to debhelper compatibility level 13.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update upstream mailing list address.
    - Use https for Source URL.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/patches/default_linker_fix.patch
    - Add Forwarded field.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 09 Oct 2021 10:00:46 -0400

wmifinfo (0.11-1) unstable; urgency=medium

  * New upstream release.
    - Use extern when declaring global variables in header file
      (Closes: #957945).
  * debian/control
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
  * debian/patches/default_linker_fix.patch
    - Refresh for new upstream version.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 17 Apr 2020 13:32:13 -0400

wmifinfo (0.10-3) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.
  * Update homepage to dockapps.net.

  [ Jeremy Sowden ]
  * Bumped compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * Bumped Standards-Version to 4.4.0.
  * Added myself to uploaders.
  * Updated home-page and watchfile URL to HTTPS.
  * Fixed FTCBFS by changing default linker to $(CC) (closes: #929758).

  [ Andreas Metzler ]
  * Drop get-orig-source target.
  * Build with export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 11 Aug 2019 12:27:38 +0100

=== debian/control ===
Source: wmifinfo
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <jeremy@azazel.net>
Build-Depends: debhelper-compat (= 13), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmifinfo
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmifinfo
Vcs-Git: https://salsa.debian.org/wmaker-team/wmifinfo.git
Rules-Requires-Root: no

Package: wmifinfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dockapp that shows information for all interfaces
 wmifinfo is a simple applet showing basic network info for all available
 interfaces. It shows IP address, netmask, gateway and MAC address in a
 similar way to ifconfig.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ENABLE_NWN_SUPPORT=y \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
